Bug 31364 - Missing resource in org/apache/catalina/core/LocalStrings.properties
Missing resource in org/apache/catalina/core/LocalStrings.properties
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.0.28
All All
: P3 major (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-09-22 15:12 UTC by Yoav Shapira
Modified: 2006-12-06 05:19 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yoav Shapira 2004-09-22 15:12:52 UTC
... causes problems with webapp reload.  The missing resource is keyed 
standardContext.stoppingContext.
Comment 1 Yoav Shapira 2004-09-22 15:27:33 UTC
Original mailing list post reporting error:

Hi Guys,

Version: 5.0.28

Scenario:

One of our web applications has context reload="true" set so that we can deploy 
single class patches (side question: is there a better way of hot-deploying 
single-class patching?)

However, every time we copy the new class over the existing class, Tomcat 
begins to reload but throws the following exception stack trace about 6 times 
in a row (in stdout) and the UI presents error 503 application unavailable on 
requests. 

Tomcat never recovers from this and we have to restart the service.

INFO: Reloading this Context has started
22-Sep-2004 10:02:25 org.apache.catalina.core.StandardContext reload
SEVERE: Cannot find message associated with key standardContext.stoppingContext
LifecycleException:  Manager has not yet been started
	at org.apache.catalina.session.StandardManager.stop
(StandardManager.java:680)
	at org.apache.catalina.core.StandardContext.stop
(StandardContext.java:4474)
	at org.apache.catalina.core.StandardContext.reload
(StandardContext.java:3015)
	at org.apache.catalina.core.StandardContext.backgroundProcess
(StandardContext.java:4629)
	at 
org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChild
ren(ContainerBase.java:1619)
	at 
org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChild
ren(ContainerBase.java:1628)
	at 
org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.processChild
ren(ContainerBase.java:1628)
	at 
org.apache.catalina.core.ContainerBase$ContainerBackgroundProcessor.run
(ContainerBase.java:1608)
	at java.lang.Thread.run(Unknown Source)
22-Sep-2004 10:02:25 org.apache.catalina.core.StandardContext start
INFO: Container StandardContext[] has already been started
22-Sep-2004 10:02:36 org.apache.catalina.core.StandardContext reload

Kind regards, Allistair.


<FONT SIZE=1 FACE="VERDANA,ARIAL" COLOR=BLUE> 
-------------------------------------------------------
QAS Ltd.
Developers of QuickAddress Software
<a href="http://www.qas.com">www.qas.com</a>
Registered in England: No 2582055
Registered in Australia: No 082 851 474
-------------------------------------------------------
</FONT>


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
Comment 2 Yoav Shapira 2004-09-22 15:52:39 UTC
Fixed for both Tomcat 5.0 and 5.5.
Comment 3 Neale Rudd 2006-12-06 05:06:07 UTC
Hi, I still get this in 5.0.28, even though the bugzilla settings show it as 
closed for 5.0.28.

Tomcat Manager shows:
FAIL - Application at context path / could not be started

Versions:
Apache Tomcat/5.0.28 1.4.2_04-b05 Sun Microsystems Inc. Windows 2003 5.2 x86 

Stack Trace:
Dec 6, 2006 11:55:28 PM org.apache.catalina.core.StandardContext reload
SEVERE: Cannot find message associated with key standardContext.stoppingContext
LifecycleException:  Manager has not yet been started
        at org.apache.catalina.session.StandardManager.stop
(StandardManager.java:680)
        at org.apache.catalina.core.StandardContext.stop
(StandardContext.java:4496)
        at org.apache.catalina.core.StandardContext.reload
(StandardContext.java:3037)
        at org.apache.catalina.startup.HostConfig.restartContext
(HostConfig.java:873)
        at org.apache.catalina.startup.HostConfig.checkContextLastModified
(HostConfig.java:759)
        at org.apache.catalina.startup.HostConfig.check(HostConfig.java:1085)
        at org.apache.catalina.startup.HostConfig.lifecycleEvent
(HostConfig.java:327)
        at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent
(LifecycleSupport.java:119)
        at org.apache.catalina.core.StandardHost.backgroundProcess
(StandardHost.java:800)
Comment 4 Mark Thomas 2006-12-06 05:19:14 UTC
This is expected. We don't patch previous releases to fix bugs. Fixes are
included in the next release after the fix was made. Where a release has not
been made since the fix, you can obtain the latest code from SVN which will
include the fix.